Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Ceiling Grid

I am using BricsCad V17. Is there an easy way to produce a ceiling grid (say 2x2 or 2x4) for ceiling lighting layout? Producing lines and manually placing
them 2' or 4' apart is time consuming. There must be an easier way in BricsCad to produce a ceiling grid??
Thanks H. Hampton.

Comments

  • Try creating hatches with either a user defined pattern or a custom pattern. To be able to snap to the hatches you may have to change your OSOPTIONS setting. To create custom patterns my Online PatGenerator can be used.

  • Did you already try the Repeat option of the Copy command? Create the first copy at the desired interval, then choose Repeat in the Prompt menu or type R + Enter. Either move the cursor to create the copies or press Enter and key-in the number of copies.

  • Maybe the "Array" command?

  • Do you really want a grid of lines?? use snapset and grid .
    Read help for snap and grid. Move your grid origin. I have put this in a scriptfile called "snapset.scr"

    '_GRID
    _OFF
    '_SNAP
    _OFF
    '_ESNAP
    _END
    _SNAP
    _ROTATE
    _STOPSCRIPT

  • There is a ready to use 24"x48" Ceiling Tile with 1" Wide T-Bar hatch pattern in the free hatch patterns page on our site.

  • edited June 19

    Here are a couple of hatch patterns that create single-line grids:

    *24x24, 24" x 24" Ceiling Grid
    0, 0,0, 0,24
    90, 0,0, 0,24

    *24x48, 24" x 48" Ceiling Grid
    0, 0,0, 0,24
    90, 0,0, 0,48

    To make a 24x48 grid run the other way, change the angle of the hatch entity to 90 in the properties palette.

    To get the grid centered in the room, use the properties palette to set the origin point of the hatch equal to the centroid of the room (draw a line starting at the centroid, then copy from the box for the starting point of the line and paste into the box for the origin of the hatch). That puts a grid intersection at the centroid; adjust the origin by a foot or two in either direction if that makes for a better arrangement.

    If you don't like having hatches snappable, you can explode the hatch, putting the grid lines on a separate layer or in a block.

  • I use this lisp often, it repeats a first offset as often as you press enter.

    (Defun C:OM ()
    (setvar "orthomode" 1)
    (if (= nil odist)(setq odist 100))
    (setq d (getdist (strcat "\nOffset distance <" (rtos odist)">: ")))
    (if d (setq odist d)(setq d odist))
    (setq a (entsel))
    (setq pt (cadr a))
    (setq dir (getangle pt "\nSide to offset ?: "))
    (command "offset" d a (polar pt dir d) "")
    (defun omore ()
    (command "copy" (entlast) "" pt (polar pt dir d))
    )
    (while t
    (if (getstring "\nAgain? ")
    (omore)))
    )

    I have another which creates a tiled array within a rectangle if you are interested, but it divides the end spaces equally while ceiling grids often start at one point. And less useful if the room is not a complete rectangle.

  • Thanks for the useful information. I know that in AutoCad, some architects have the option of placing a polygon around a room or area
    and automatically choosing the type of ceiling grid and it will be placed automatically. This is probably an add on. I have never used it.
    In BricsCad one option might be to produce a block of the desired ceiling grid (or maybe 2 or 3) and place the block/s in the user tool pallet.
    The grid could then be inserted as required, and then use TRIM and EXTEND to fit the grid the the area. Any way thanks for the response and
    information.

  • Thanks for the hatch idea. I commonly do a ceiling grid for large refrigerated facilities. Roy Klein Gebbinck's on-line hatch generator made it easy to come up with grids that match the dimensions of the panels we use to form the ceilings. In my case, we always start at one corner, and expand from there. Our floor insulation has similar patterns, but we deliberately offset the rows on the two layers of insulation, to prevent vapor paths. The "running bond" option did that nicely.

    I normally explode the hatch, to get line entities, because there is always some amount of adjustment necessary.

    -Joe

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam